This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 640270 - After saving individual resource config value, user is not taken to the history subtab
After saving individual resource config value, user is not taken to the histo...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: config/individual-config
  Show dependency treegraph
 
Reported: 2010-10-05 08:14 EDT by Sunil Kondkar
Modified: 2013-08-05 20:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2010-10-05 08:14:03 EDT
Description of problem:

If a user edits a resource config value and clicks on Save button, he is not taken to the configuration history page. User remains on the same 'Current' subtab.

Version-Release number of selected component (if applicable):

rhq build#370

How reproducible:

Always

Steps to Reproduce:

1) Login to JON using appropriate credential

2) Click on 'Inventory' menu item.

3) Click on 'Resource Inventory->Platforms'.

4) Click on a resource (Ex: RHQ Agent) in the resource tree.

5) Navigate to the 'Configuration->Current' tab.

6) Edit a config value and save.  
  
Actual results:

After saving the config value, user remains on the same 'Current' subtab.

Expected results:

After a resource config edit is saved, the user should be automatically taken to the configuration history page where they can watch the config update job and job status.

Additional info:
Comment 1 Jay Shaughnessy 2011-02-14 09:42:53 EST
This is true, not sure whether that is wrong. Assigning to Ian.
Comment 2 Ian Springer 2011-02-14 09:53:21 EST
Yeah, I agree this should be changed. Redirecting the user to the list view is consistent with what we do for most of our other edit-details views.
Comment 3 Ian Springer 2011-03-01 13:35:52 EST
Done - [master 4246288].
Comment 4 Sunil Kondkar 2011-03-10 08:57:25 EST
Verified on build#1086 (Version: 4.0.0-SNAPSHOT Build Number: 7b2d9f6)

After a resource config edit is saved, the user is taken to the configuration history subtab.

Marking as verified
Comment 5 Corey Welton 2011-05-23 21:16:32 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:16:40 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:16:41 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 8 Corey Welton 2011-05-23 21:16:46 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.